Summary:	A minimal mail-transfer agent which forwards mail to an SMTP server
Name:		ssmtp
Version:	2.66
Release:	%mkrel 5
License:	GPLv2+
URL:		https://github.com/solbu/ssmtp
Source0:	https://github.com/solbu/ssmtp/archive/%{version}/%{name}-%{version}.tar.gz
Group:		System/Servers
BuildRequires:	rcs
BuildRequires:	openssl-devel
Provides:	sendmail-command
Requires:	common-licenses
Recommends:	rootcerts


%description
This is sSMTP, a program that replaces sendmail on workstations that
should send their mail via the departmental mailhub from which they pick up
their mail (via pop, imap, rsmtp, pop_fetch, NFS... or the like).  This
program accepts mail and sends it to the mailhub, optionally replacing the
domain in the From: line with a different one.

%prep
%setup -q

%build
%serverbuild
%configure --enable-ssl --enable-md5auth --enable-inet6
%make_build

%install
%makeinstall

%post
update-alternatives --install %{_sbindir}/sendmail sendmail-command %{_sbindir}/ssmtp 5 --slave %{_prefix}/lib/sendmail sendmail-command-in_libdir %{_sbindir}/ssmtp


%preun
if [ $1 = 0 ]; then
        update-alternatives --remove sendmail-command %{_sbindir}/ssmtp
fi


%files
%doc README ChangeLog COPYRIGHT 
%attr(2755, root, mail) %{_sbindir}/ssmtp
%attr(2750, root, mail) %config(noreplace) %dir %{_sysconfdir}/ssmtp
%attr(2640, root, mail) %config(noreplace) %{_sysconfdir}/ssmtp/*
%{_mandir}/man8/*
%{_mandir}/man5/*


%changelog
* Fri Mar 18 2022 umeabot <umeabot> 2.66-5.mga9
+ Revision: 1797957
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 2.66-4.mga9
+ Revision: 1747430
- rebuild for openssl 3.0.0

* Fri Feb 14 2020 umeabot <umeabot> 2.66-3.mga8
+ Revision: 1517172
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.66-2.mga7
+ Revision: 1301177
- Mageia 7 Mass Rebuild

* Wed Aug 09 2017 solbu <solbu> 2.66-1.mga7
+ Revision: 1139284
- Fix configure
- New version: 2.66
- New upstream URL
- Clean spec file

* Thu Mar 03 2016 umeabot <umeabot> 2.64-17.mga6
+ Revision: 984149
- Rebuild for openssl

* Fri Feb 05 2016 umeabot <umeabot> 2.64-16.mga6
+ Revision: 936357
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.64-15.mga5
+ Revision: 741644
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.64-14.mga5
+ Revision: 689331
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Oct 21 2013 umeabot <umeabot> 2.64-13.mga4
+ Revision: 539088
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 solbu <solbu> 2.64-12.mga4
+ Revision: 491356
- Cleanup spec
- Don't ship the INSTALL file
- Add Suggests: rootcerts

* Sun Sep 29 2013 solbu <solbu> 2.64-11.mga4
+ Revision: 489260
- Patch2: Load CAs automatically, if so specified

* Sun Sep 29 2013 solbu <solbu> 2.64-10.mga4
+ Revision: 489236
- Security fix, updating patch0
- Rename patch0, according to policy

* Fri Jul 12 2013 solbu <solbu> 2.64-9.mga4
+ Revision: 453513
- Security fix (mga#10701)

* Wed Mar 20 2013 solbu <solbu> 2.64-8.mga3
+ Revision: 404135
- Fix Licence
- Fix Url

* Mon Jan 14 2013 umeabot <umeabot> 2.64-7.mga3
+ Revision: 382680
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 luigiwalser <luigiwalser> 2.64-6.mga3
+ Revision: 312295
- link with libcrypto
- add validation of server certs with TLS (rhbz#864894)

* Sun May 08 2011 tmb <tmb> 2.64-5.mga1
+ Revision: 96499
- bump release to fix upgrade from mdv

* Thu May 05 2011 saispo <saispo> 2.64-1.mga1
+ Revision: 95111
- imported package ssmtp

